org.apache.jmeter.gui.util

## Class MenuInfo

- java.lang.Object
- - org.apache.jmeter.gui.util.MenuInfo

- Direct Known Subclasses:
    MenuSeparatorInfo

      public class MenuInfo
      extends java.lang.Object

  Class to hold additional information needed when building the GUI lists

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SORT_ORDER_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuInfo(JMeterGUIComponent item, java.lang.String classFullName)`
    `MenuInfo(java.lang.String label, JMeterGUIComponent item, java.lang.String classFullName)`
    `MenuInfo(java.lang.String displayLabel, java.lang.String classFullName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassName()`
    `boolean` | `getEnabled(java.lang.String actionCommand)` Returns whether the menu item represented by this MenuInfo object should be enabled
    `java.lang.String` | `getLabel()`
    `int` | `getSortOrder()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SORT_ORDER_DEFAULT

          public static final int SORT_ORDER_DEFAULT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MenuInfo

          public MenuInfo(java.lang.String displayLabel,
                          java.lang.String classFullName)

    - #### MenuInfo

          public MenuInfo(JMeterGUIComponent item,
                          java.lang.String classFullName)

    - #### MenuInfo

          public MenuInfo(java.lang.String label,
                          JMeterGUIComponent item,
                          java.lang.String classFullName)

  - ### Method Detail

    - #### getLabel

          public java.lang.String getLabel()

    - #### getClassName

          public java.lang.String getClassName()

    - #### getSortOrder

          public int getSortOrder()

    - #### getEnabled

          public boolean getEnabled(java.lang.String actionCommand)

      Returns whether the menu item represented by this MenuInfo object should be enabled
      Parameters:
        `actionCommand` - the action command name for the menu item
      Returns:
        true when menu item should be enabled, false otherwise.

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.